# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "bracket"
version = "0.7.3"
authors = ["muji <muji@tmpfs.org>"]
description = "Fast and correct handlebars-compatible template engine"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/uwe-app/bracket"
[package.metadata.docs.rs]
all-features = true
[dependencies.dyn-clone]
version = "^1.0"

[dependencies.log]
version = "^0.4"
optional = true

[dependencies.logos]
version = "0.11.4"

[dependencies.serde]
version = "^1.0"

[dependencies.serde_json]
version = "^1.0"

[dependencies.thiserror]
version = "^1.0"

[dependencies.unicode-width]
version = "^0.1"
[dev-dependencies.pretty_env_logger]
version = "0.4"

[features]
comparison-helper = []
conditional-helper = []
default = ["helpers", "fs", "links"]
each-helper = []
fs = []
helpers = ["log-helper", "json-helper", "logical-helper", "lookup-helper", "each-helper", "with-helper", "conditional-helper", "comparison-helper"]
json-helper = []
links = []
log-helper = ["log"]
logical-helper = []
lookup-helper = []
with-helper = []
